Video- und Audio-Konverter verstehen: Container, Codecs, Bitrate und Qualität
MP4, WebM, MOV und MKV sind Container; Codecs liegen darin. MP4 zu WebM kann deshalb Remuxing oder echtes Transcoding bedeuten.
Container/Codec
Container organisiert Tracks und Timing; Codec komprimiert Video/Audio.
Geräte können MP4 verstehen, aber den enthaltenen Codec nicht.
Remuxing
Kompatible Streams können ohne Re-Encoding kopiert werden und behalten Qualität.
Transcoding ist bei lossy Quellen eine neue Generation mit möglichem Verlust.
Bitrate
Bitrate ist Datenbudget, nicht allein Qualitätswert.
Video Compressor kann Bitrate oder Auflösung reduzieren.
Auflösung/FPS
Downscale kann sparen; Upscale erzeugt keine echte neue Detailinformation.
Native Framerate erhalten, sofern das Ziel nichts anderes verlangt.
Audio
Sample Rate, Kanäle und Codec beeinflussen Ergebnis. FLAC ist lossless; MP3/AAC/Opus sind typische lossy Codecs.
Audio Converter kann verlorene Qualität nicht zurückholen.
Codecwahl
Opus ist breit einsetzbar, MP3 sehr kompatibel, AAC häufig in MP4, FLAC für Lossless.
Zielgerät bestimmt die Wahl.
Audio extrahieren
MP4 zu MP3 kann bereits lossy Audio erneut encodieren.
Bei mehreren Audio-Tracks richtigen Track prüfen.
Metadaten
Untertitel, Kapitel, Sprache, HDR- und Rotationsdaten können verloren gehen.
Trackliste nach Konvertierung kontrollieren.
Web
Webstreaming nutzt oft mehrere Bitraten/Auflösungen.
WebM zu MP4 löst Kompatibilität, nicht automatisch Streaming-Architektur.
Workflow
Source Streams inspizieren, Remux bevorzugen, sonst direkt vom besten Master transcodieren.
Bild, Ton, Sync, Untertitel und Metadata tatsächlich prüfen.
Häufige Fragen
Ist MP4 ein Codec?
Nein, ein Container.
MP3 zu FLAC verbessert Qualität?
Nein.
Remux vs Transcode?
Containerwechsel ohne bzw. mit Re-Encoding.
Mehr Bitrate = immer besser?
Nein.
Media-Standards
- RFC 9559 — Matroska Media Container Format
- RFC 6716 — Definition of the Opus Audio Codec
- RFC 9639 — Free Lossless Audio Codec (FLAC)
- W3C — Media Source Extensions
This article is an original practical guide informed by the standards and official references above.